//------------------------------------------------------------------------------------------------

//
// File: racetimes.h
// Author: ECE 275 Spring 2016
// Date: March 03, 2016
//
// Description:
//

//------------------------------------------------------------------------------------------------

#ifndef RACETIMES_H
#define RACETIMES_H

//------------------------------------------------------------------------------------------------

#include <string>
#include "timeddist.h"

//------------------------------------------------------------------------------------------------

using namespace std;

//------------------------------------------------------------------------------------------------

class RaceTimes {
private:
   const int MAX_TIMES = 100;
   TimedDist times[100];
   int numTimes;
   
public:
   RaceTimes();
   RaceTimes(int numTimes);
   
   void SetNumTimes(int numTimes);
   
   float GetAvgSpeedMPH();
   float GetTotalDistMiles();
   float GetTotalTimeSec();
   void ReadUserTimes();
   bool ReadUserTimesFromFile(char* inputFileName);
   void Print();
   
};


//------------------------------------------------------------------------------------------------

#endif

//------------------------------------------------------------------------------------------------
